// ====================================================================
// filter.cc - An object that can receive output from a console
//             and can control the console.  This is a general
//             interface for plugging in automation.
// ====================================================================

// ******************************************************************** //
//                  SLAC Console Management Tools                       //
//         Chuck Boeheim, Stanford Linear Accelerator Center            //
//                                                                      //
// $Revision: 1.5 $ $Date: 2005/02/09 00:48:12 $ $Author: boeheim $
// ******************************************************************** //

using namespace std;

#include "console.h"
#include "filter.h"

// ====================================================================
// Constructor -- Create a new filter.  
// ====================================================================

Filter::Filter(Console *cons) 
{
   console = cons;
}

// ====================================================================
// Destructor -- Destroy a new filter.  
// ====================================================================

Filter::~Filter(void) 
{
}

// ====================================================================
// Receive some input from the console.
// ====================================================================

void Filter::Input(Buffer &)
{
   
}

// ====================================================================
// Receive an idle call from the dispatcher.
// ====================================================================

void Filter::IdleCheck(time_t now)
{

}

// ====================================================================
// Receive notification that console is open.
// ====================================================================

void Filter::Open(void)
{

}

// ====================================================================
// Receive notification that console is closed.
// ====================================================================

void Filter::Close(void)
{

}

