// ====================================================================
// mydbm.h - Interface to dbm/gdbm/ndbm.
//           This is not intended to be a full encapsulation, but
//           just the minimum needed by the console package.
// ====================================================================

// ******************************************************************** //
//                  SLAC Console Management Tools                       //
//         Chuck Boeheim, Stanford Linear Accelerator Center            //
//                                                                      //
// $Revision: 1.4 $ $Date: 2006/12/12 07:13:52 $ $Author: boeheim $
// ******************************************************************** //

#ifndef mydbm_hh
#define mydbm_hh

class MyDBM
{
  private:
   char *filename;
   void *dbmfile;
   bool isopen;
   
  public:
   MyDBM(char *fn) { filename = fn; dbmfile = NULL; isopen = false; };
   
   bool Open(void);
   void Store(string key, Buffer &record);
   int  Fetch(string key, Buffer &record);
   void Close(void);
};

#endif
