// ====================================================================
// Sockettcp.hh -- A class for TCP sockets.
// ====================================================================

// ******************************************************************** //
//                  SLAC Console Management Tools                       //
//         Chuck Boeheim, Stanford Linear Accelerator Center            //
//                                                                      //
// $Revision: 1.1 $ $Date: 2005/02/09 00:38:51 $ $Author: boeheim $
// ******************************************************************** //

#ifndef sockettcp_hh
#define sockettcp_hh

#include <sys/socket.h>

#include "socket.h"

class SocketTCP : public Socket
{
public:
   SocketTCP(void) {};          // Constructors
   SocketTCP(int fd) : Socket(fd) {};
   ~SocketTCP(void);            // Destructor
   
   void Create(void);
   void Listen(void);           // Listen for connections.
   SocketTCP *Accept(void);     // Accept incoming connections.
   SocketTCP *Accept(SocketTCP *);
};
   

#endif
