// ====================================================================
// Socketudp.cc -- A class implementing udp sockets.
// ====================================================================

// ******************************************************************** //
//                  SLAC Console Management Tools                       //
//         Chuck Boeheim, Stanford Linear Accelerator Center            //
//                                                                      //
// $Revision: 1.3 $ $Date: 2005/02/09 00:48:13 $ $Author: boeheim $
// ******************************************************************** //

using namespace std;

#include <arpa/inet.h>
#include <errno.h>

#include "socketudp.h"

extern int errno;

// ====================================================================
// Create a new socket.
// ====================================================================

void SocketUDP::Create(void)
{
   fd = socket(AF_INET, SOCK_DGRAM, 0);
}

// ====================================================================
// Virtual destructor.
// ====================================================================

SocketUDP::~SocketUDP(void)
{

}
